#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-1bm9lSOhUz0H6xxun6hnM0
key:                  lsp-1.4.0.0-1bm9lSOhUz0H6xxun6hnM0
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  3ffb82fc74309d00e9cfb4de6c76f83f
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-Dl5sK2HIGZDBqn95MTbezc:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-Dl5sK2HIGZDBqn95MTbezc:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-Dl5sK2HIGZDBqn95MTbezc:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-Dl5sK2HIGZDBqn95MTbezc:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.0.2/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-1bm9lSOhUz0H6xxun6hnM0
depends:
    aeson-2.1.2.1-AoiZ9fpfbxJ47564nNIIBq
    async-2.2.4-D3ZPPFCCAVg8NsfdnFK0IL
    attoparsec-0.14.4-9KhLweOrk4jAI2XTloxgeh base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-8E5NGoO1gLxEpVTFDWBmYU exceptions-0.10.4
    hashable-1.4.2.0-ACOKJtOF9viKWyhESTEaY8
    hslogger-1.3.1.0-7oQPnxiMyUEL7kzLplckis
    lens-5.2.2-50AHbSTIHTyJ7cRw3OjWqT
    lsp-types-1.4.0.1-Dl5sK2HIGZDBqn95MTbezc mtl-2.2.2
    network-uri-2.6.4.2-EYxdu2yGuicEEj2BOEkBLC
    random-1.2.1.1-7p3S1HZR5GbCV1ZhMXz9LL
    scientific-0.3.7.0-K0ypbSyuCqS5Fd30xEyG2S
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R stm-2.5.0.0 text-1.2.5.0
    time-1.9.3 transformers-0.5.6.2
    unliftio-core-0.2.1.0-AJ3ipHGgln87h2Y2hfrpJj
    unordered-containers-0.2.19.1-KAeBL5aytSRB39idbhEXBI
    uuid-1.3.15-AHxMMGgWvS4YRMCxHPubt

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

